using System.Diagnostics;

namespace Implab.Diagnostics
{
    public class ChannelInfo
    {
        internal ChannelInfo(object id, TraceSource source) {
            Debug.Assert(id != null);
            Debug.Assert(source != null);

            Id = id;
            Source = source;

        }

        public object Id { get; private set; }

        public TraceSource Source { get; private set; }


    }
}